/**
 * This class is generated by jOOQ
 */
package com.flamesgroup.storage.jooq.tables.records;


import com.flamesgroup.storage.jooq.tables.GsmView;

import java.util.Date;

import org.jooq.Record5;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class GsmViewRecord extends UpdatableRecordImpl<GsmViewRecord> {

	private static final long serialVersionUID = 1173741730;

	/**
	 * Setter for <code>public.gsm_view.trusted</code>.
	 */
	public GsmViewRecord setTrusted(Boolean value) {
		setValue(0, value);
		return this;
	}

	/**
	 * Getter for <code>public.gsm_view.trusted</code>.
	 */
	public Boolean getTrusted() {
		return (Boolean) getValue(0);
	}

	/**
	 * Setter for <code>public.gsm_view.serving_cell</code>.
	 */
	public GsmViewRecord setServingCell(Boolean value) {
		setValue(1, value);
		return this;
	}

	/**
	 * Getter for <code>public.gsm_view.serving_cell</code>.
	 */
	public Boolean getServingCell() {
		return (Boolean) getValue(1);
	}

	/**
	 * Setter for <code>public.gsm_view.arfcn</code>.
	 */
	public GsmViewRecord setArfcn(Integer value) {
		setValue(2, value);
		return this;
	}

	/**
	 * Getter for <code>public.gsm_view.arfcn</code>.
	 */
	public Integer getArfcn() {
		return (Integer) getValue(2);
	}

	/**
	 * Setter for <code>public.gsm_view.bsic</code>.
	 */
	public GsmViewRecord setBsic(Integer value) {
		setValue(3, value);
		return this;
	}

	/**
	 * Getter for <code>public.gsm_view.bsic</code>.
	 */
	public Integer getBsic() {
		return (Integer) getValue(3);
	}

	/**
	 * Setter for <code>public.gsm_view.lac</code>.
	 */
	public GsmViewRecord setLac(Integer value) {
		setValue(4, value);
		return this;
	}

	/**
	 * Getter for <code>public.gsm_view.lac</code>.
	 */
	public Integer getLac() {
		return (Integer) getValue(4);
	}

	/**
	 * Setter for <code>public.gsm_view.cell_id</code>.
	 */
	public GsmViewRecord setCellId(Integer value) {
		setValue(5, value);
		return this;
	}

	/**
	 * Getter for <code>public.gsm_view.cell_id</code>.
	 */
	public Integer getCellId() {
		return (Integer) getValue(5);
	}

	/**
	 * Setter for <code>public.gsm_view.mcc</code>.
	 */
	public GsmViewRecord setMcc(Short value) {
		setValue(6, value);
		return this;
	}

	/**
	 * Getter for <code>public.gsm_view.mcc</code>.
	 */
	public Short getMcc() {
		return (Short) getValue(6);
	}

	/**
	 * Setter for <code>public.gsm_view.mnc</code>.
	 */
	public GsmViewRecord setMnc(Short value) {
		setValue(7, value);
		return this;
	}

	/**
	 * Getter for <code>public.gsm_view.mnc</code>.
	 */
	public Short getMnc() {
		return (Short) getValue(7);
	}

	/**
	 * Setter for <code>public.gsm_view.network_survey_rx_lev</code>.
	 */
	public GsmViewRecord setNetworkSurveyRxLev(Integer value) {
		setValue(8, value);
		return this;
	}

	/**
	 * Getter for <code>public.gsm_view.network_survey_rx_lev</code>.
	 */
	public Integer getNetworkSurveyRxLev() {
		return (Integer) getValue(8);
	}

	/**
	 * Setter for <code>public.gsm_view.first_appearance</code>.
	 */
	public GsmViewRecord setFirstAppearance(Date value) {
		setValue(9, value);
		return this;
	}

	/**
	 * Getter for <code>public.gsm_view.first_appearance</code>.
	 */
	public Date getFirstAppearance() {
		return (Date) getValue(9);
	}

	/**
	 * Setter for <code>public.gsm_view.last_appearance</code>.
	 */
	public GsmViewRecord setLastAppearance(Date value) {
		setValue(10, value);
		return this;
	}

	/**
	 * Getter for <code>public.gsm_view.last_appearance</code>.
	 */
	public Date getLastAppearance() {
		return (Date) getValue(10);
	}

	/**
	 * Setter for <code>public.gsm_view.server_id</code>.
	 */
	public GsmViewRecord setServerId(Long value) {
		setValue(11, value);
		return this;
	}

	/**
	 * Getter for <code>public.gsm_view.server_id</code>.
	 */
	public Long getServerId() {
		return (Long) getValue(11);
	}

	/**
	 * Setter for <code>public.gsm_view.network_survey_number_occurrences</code>.
	 */
	public GsmViewRecord setNetworkSurveyNumberOccurrences(Integer value) {
		setValue(12, value);
		return this;
	}

	/**
	 * Getter for <code>public.gsm_view.network_survey_number_occurrences</code>.
	 */
	public Integer getNetworkSurveyNumberOccurrences() {
		return (Integer) getValue(12);
	}

	/**
	 * Setter for <code>public.gsm_view.successful_calls_count</code>.
	 */
	public GsmViewRecord setSuccessfulCallsCount(Integer value) {
		setValue(13, value);
		return this;
	}

	/**
	 * Getter for <code>public.gsm_view.successful_calls_count</code>.
	 */
	public Integer getSuccessfulCallsCount() {
		return (Integer) getValue(13);
	}

	/**
	 * Setter for <code>public.gsm_view.total_calls_count</code>.
	 */
	public GsmViewRecord setTotalCallsCount(Integer value) {
		setValue(14, value);
		return this;
	}

	/**
	 * Getter for <code>public.gsm_view.total_calls_count</code>.
	 */
	public Integer getTotalCallsCount() {
		return (Integer) getValue(14);
	}

	/**
	 * Setter for <code>public.gsm_view.calls_duration</code>.
	 */
	public GsmViewRecord setCallsDuration(Long value) {
		setValue(15, value);
		return this;
	}

	/**
	 * Getter for <code>public.gsm_view.calls_duration</code>.
	 */
	public Long getCallsDuration() {
		return (Long) getValue(15);
	}

	/**
	 * Setter for <code>public.gsm_view.outgoing_sms_count</code>.
	 */
	public GsmViewRecord setOutgoingSmsCount(Integer value) {
		setValue(16, value);
		return this;
	}

	/**
	 * Getter for <code>public.gsm_view.outgoing_sms_count</code>.
	 */
	public Integer getOutgoingSmsCount() {
		return (Integer) getValue(16);
	}

	/**
	 * Setter for <code>public.gsm_view.incoming_sms_count</code>.
	 */
	public GsmViewRecord setIncomingSmsCount(Integer value) {
		setValue(17, value);
		return this;
	}

	/**
	 * Getter for <code>public.gsm_view.incoming_sms_count</code>.
	 */
	public Integer getIncomingSmsCount() {
		return (Integer) getValue(17);
	}

	/**
	 * Setter for <code>public.gsm_view.ussd_count</code>.
	 */
	public GsmViewRecord setUssdCount(Integer value) {
		setValue(18, value);
		return this;
	}

	/**
	 * Getter for <code>public.gsm_view.ussd_count</code>.
	 */
	public Integer getUssdCount() {
		return (Integer) getValue(18);
	}

	/**
	 * Setter for <code>public.gsm_view.amount_pdd</code>.
	 */
	public GsmViewRecord setAmountPdd(Long value) {
		setValue(19, value);
		return this;
	}

	/**
	 * Getter for <code>public.gsm_view.amount_pdd</code>.
	 */
	public Long getAmountPdd() {
		return (Long) getValue(19);
	}

	/**
	 * Setter for <code>public.gsm_view.notes</code>.
	 */
	public GsmViewRecord setNotes(String value) {
		setValue(20, value);
		return this;
	}

	/**
	 * Getter for <code>public.gsm_view.notes</code>.
	 */
	public String getNotes() {
		return (String) getValue(20);
	}

	/**
	 * Setter for <code>public.gsm_view.serving_number_occurrences</code>.
	 */
	public GsmViewRecord setServingNumberOccurrences(Integer value) {
		setValue(21, value);
		return this;
	}

	/**
	 * Getter for <code>public.gsm_view.serving_number_occurrences</code>.
	 */
	public Integer getServingNumberOccurrences() {
		return (Integer) getValue(21);
	}

	/**
	 * Setter for <code>public.gsm_view.neighbours_number_occurrences</code>.
	 */
	public GsmViewRecord setNeighboursNumberOccurrences(Integer value) {
		setValue(22, value);
		return this;
	}

	/**
	 * Getter for <code>public.gsm_view.neighbours_number_occurrences</code>.
	 */
	public Integer getNeighboursNumberOccurrences() {
		return (Integer) getValue(22);
	}

	/**
	 * Setter for <code>public.gsm_view.cell_info_rx_lev</code>.
	 */
	public GsmViewRecord setCellInfoRxLev(Integer value) {
		setValue(23, value);
		return this;
	}

	/**
	 * Getter for <code>public.gsm_view.cell_info_rx_lev</code>.
	 */
	public Integer getCellInfoRxLev() {
		return (Integer) getValue(23);
	}

	// -------------------------------------------------------------------------
	// Primary key information
	// -------------------------------------------------------------------------

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Record5<Integer, Integer, Integer, Integer, Long> key() {
		return (Record5) super.key();
	}

	// -------------------------------------------------------------------------
	// Constructors
	// -------------------------------------------------------------------------

	/**
	 * Create a detached GsmViewRecord
	 */
	public GsmViewRecord() {
		super(GsmView.GSM_VIEW);
	}

	/**
	 * Create a detached, initialised GsmViewRecord
	 */
	public GsmViewRecord(Boolean trusted, Boolean servingCell, Integer arfcn, Integer bsic, Integer lac, Integer cellId, Short mcc, Short mnc, Integer networkSurveyRxLev, Date firstAppearance, Date lastAppearance, Long serverId, Integer networkSurveyNumberOccurrences, Integer successfulCallsCount, Integer totalCallsCount, Long callsDuration, Integer outgoingSmsCount, Integer incomingSmsCount, Integer ussdCount, Long amountPdd, String notes, Integer servingNumberOccurrences, Integer neighboursNumberOccurrences, Integer cellInfoRxLev) {
		super(GsmView.GSM_VIEW);

		setValue(0, trusted);
		setValue(1, servingCell);
		setValue(2, arfcn);
		setValue(3, bsic);
		setValue(4, lac);
		setValue(5, cellId);
		setValue(6, mcc);
		setValue(7, mnc);
		setValue(8, networkSurveyRxLev);
		setValue(9, firstAppearance);
		setValue(10, lastAppearance);
		setValue(11, serverId);
		setValue(12, networkSurveyNumberOccurrences);
		setValue(13, successfulCallsCount);
		setValue(14, totalCallsCount);
		setValue(15, callsDuration);
		setValue(16, outgoingSmsCount);
		setValue(17, incomingSmsCount);
		setValue(18, ussdCount);
		setValue(19, amountPdd);
		setValue(20, notes);
		setValue(21, servingNumberOccurrences);
		setValue(22, neighboursNumberOccurrences);
		setValue(23, cellInfoRxLev);
	}
}
